<!--
  Generated template for the ProfileEditPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Edit Profile</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <div padding>
    <!-- make this so it only shows up if you try to change email, birthday or gender -->
    <ion-card *ngIf="currentUser.driver" class="action-notice rounded" style="box-shadow: none;">
      <ion-row>
        <ion-col col-2>
          <ion-icon name="alert" class="icon-big"></ion-icon>
        </ion-col>
        <ion-col col-10>
          <p>Please contact us to change your <i> email, birthday or gender.</i></p>
        </ion-col>
      </ion-row>
    </ion-card>
    <form [formGroup]="profileForm" class="form">
      <ion-item>
        <ion-label floating>First Name*</ion-label>
        <ion-input [formControl]="profileForm.controls['firstname']" type="text" value="{{currentUser.first_name}}">
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Last Name*</ion-label>
        <ion-input [formControl]="profileForm.controls['lastname']" type="text" value="{{currentUser.last_name}}">
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Email*</ion-label>
        <ion-input [disabled]="currentUser.driver" [formControl]="profileForm.controls['email']" type="email"
          value="{{currentUser.email}}"></ion-input>
      </ion-item>

      <div class="ion-item-form-style">
        <span class="ion-label-style">Phone Number*</span>
        <ion-row style="padding: 0px;">
          <ion-col col-3>
            <div (click)="openCountries()" class="area-button">
              <p> {{area_code}} <ion-icon name="md-arrow-dropdown" style="padding-left: 7px; color: #aaa;"></ion-icon>
              </p>
            </div>
          </ion-col>
          <ion-col col-9 class="area-button">
            <ion-input type="tel" [formControl]="profileForm.controls['phone_number']"
              [brmasker]="{mask:'000-000-0000', len:12}" clean="true" value="{{currentUser.user.phone_number}}"
              placeholder="123-456-7890"></ion-input>
          </ion-col>
        </ion-row>
      </div>

      <ion-item>
        <ion-label floating>Address</ion-label>
        <ion-input [formControl]="profileForm.controls['address']" type="text" value="{{currentUser.user.address}}">
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>City</ion-label>
        <ion-input [formControl]="profileForm.controls['city']" type="text" value="{{currentUser.user.city}}">
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Country*</ion-label>
        <ion-select [formControl]="profileForm.controls['country']" (ionChange)="updateStates()">
          <ion-option *ngFor="let country of countries" value="{{country.name}}">{{country.name}}</ion-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label floating>State*</ion-label>
        <ion-input [formControl]="profileForm.controls['state']" type="text" value="{{currentUser.user.state}}"
          *ngIf="isUsa == false"></ion-input>
        <ion-select [formControl]="profileForm.controls['state']" *ngIf="isUsa == true">
          <ion-option *ngFor="let state of states" value="{{state.code}}">{{state.code}}</ion-option>
        </ion-select>
      </ion-item>

      <ion-item *ngIf="!currentUser.driver">
        <ion-label floating>Gender*</ion-label>
        <ion-select [(ngModel)]="currentUser.user.gender" [formControl]="profileForm.controls['gender']">
          <ion-option value="Male">Male</ion-option>
          <ion-option value="Female">Female</ion-option>
        </ion-select>
      </ion-item>

      <ion-item *ngIf="currentUser.driver">
        <ion-label floating>Gender*</ion-label>
        <ion-input [formControl]="profileForm.controls['gender']" type="text" value="{{currentUser.user.gender}}"
          [disabled]="true"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Birth Year</ion-label>
        <ion-select [formControl]="profileForm.controls['birthday']" [(ngModel)]="currentUser.user.birthday">
          <ion-option *ngFor="let year of years" value="{{year}}" [disabled]="currentUser.driver">{{year}}</ion-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label floating>Short Bio*</ion-label>
        <ion-textarea [formControl]="profileForm.controls['description']" (keyup)="adjust($event)"
          value="{{currentUser.user.description}}" (click)="adjust($event)">
        </ion-textarea>
      </ion-item>

      <ion-row>
        <ion-col text-center>
          <button ion-button block color="primary" (click)="saveProfileData()" class="btn rounded">
            Edit Profile
          </button>
        </ion-col>
      </ion-row>
    </form>
  </div>
</ion-content>
